curl --request GET \
--url https://api.jelou.ai/v1/users/{userId}/state \
--header 'Authorization: Basic <encoded-value>'{
"id": "<string>",
"names": "<string>",
"botId": "<string>",
"groupId": "<string>",
"state": "auto"
}Consulte e atualize o status de um usuário
curl --request GET \
--url https://api.jelou.ai/v1/users/{userId}/state \
--header 'Authorization: Basic <encoded-value>'{
"id": "<string>",
"names": "<string>",
"botId": "<string>",
"groupId": "<string>",
"state": "auto"
}GET https://api.jelou.ai/v1/users/{userId}/state
+).{
"id": "573001234567",
"names": "John Doe",
"botId": "bot-12345",
"groupId": "grp-67890",
"state": "auto"
}
POST https://api.jelou.ai/v1/users/state
+)."manual" ou "auto".curl --request POST \
--url https://api.jelou.ai/v1/users/state \
--header 'Authorization: Basic <Base64Encoded clientId:clientSecret>' \
--header 'Content-Type: application/json' \
--data '{
"ttl": 3600,
"botId": "bot-12345",
"userId": "573001234567",
"state": "manual"
}'
{
"id": "573001234567",
"names": "John Doe",
"botId": "bot-12345",
"groupId": "grp-67890",
"state": "manual"
}
manual, o bot para de responder automaticamente e mensagens manuais devem ser enviadas usando os endpoints de envio. Certifique-se de coordenar a mudança de estado com sua equipe de suporte.400 - Não foi possível obter ou atualizar o status do usuário.401 - Credenciais inválidas ou ausentes.404 - Usuário ou bot não encontrado.Basic authentication using Base64 encoded clientId:clientSecret
Phone number without + sign
Esta página foi útil?